SLURM_SRST2(1)

NAME
slurm_srst2 - running srst2 against multiple read sets

OPTIONS
slurm_srst2 [-h] [--walltime WALLTIME] [--memory MEMORY] [--rundir RUNDIR] --script SCRIPT --output OUTPUT [--input_se INPUT_SE [INPUT_SE ...]] [--input_pe INPUT_PE [INPUT_PE ...]] [--forward FORWARD] [--reverse REVERSE] [--other_args OTHER_ARGS]

DESCRIPTION
Submit SRST2 jobs through SLURM (see srst(1))

OPTIONS

-h, --help
    show this help message and exit

--walltime WALLTIME
    wall time (default 0-1:0 = 1 h)

--memory MEMORY
    mem (default 4096 = 4gb)

--rundir RUNDIR
    directory to run in (default current dir)

--script SCRIPT
    path to srst2 (default srst2)

--output OUTPUT
    identifier for outputs (will be combined with read set identifiers)

--input_se INPUT_SE [INPUT_SE ...]
    Single end read file(s) for analysing (may be gzipped)

--input_pe INPUT_PE [INPUT_PE ...]
    Paired end read files for analysing (may be gzipped)

--forward FORWARD
    Designator for forward reads (only used if NOT in MiSeq format sample_S1_L001_R1_001.fastq.gz; otherwise default is _1, i.e. expect forward reads as sample_1.fastq.gz)

--reverse REVERSE
    Designator for reverse reads (only used if NOT in MiSeq format sample_S1_L001_R2_001.fastq.gz; otherwise default is _2, i.e. expect forward reads as sample_2.fastq.gz)

--other_args OTHER_ARGS
    string containing all other arguments to pass to srst2

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.